<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{::script})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_YEARS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEARS}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(years)}">
      <table class="ui table" id="years" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:fragment="table">
        <thead>
          <tr>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_YEAR}}"></th>
            <th sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_YEARS_UPDATE)" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVE}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="year: ${years}">
            <td>
            	<a sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_YEARS_UPDATE)" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_YEARS_UPDATE} + '/' + ${year.id}}" th:text="${year.id}"></a>
            	<span sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_YEARS_UPDATE)" th:text="${year.id}"></span>
           	</td>
           	<td sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_YEARS_UPDATE)">
           		<div class="ui toggle checkbox">
				  <input type="checkbox" name="public" th:checked="${year.active}" th:value="${year.active}" th:onchange="'changeActive(this ,' +  ${year.id} + ');'">
				  <label th:text="''"></label>
				</div>
           	
			</td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_YEARS_CREATE)"
    		  th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                               icon1text = null,
                                                               icon1url = null,
                                                               icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                               icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                               icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_YEARS_CREATE},
                                                               )" />
  </div>
  <script th:src="@{${T(pt.com.scrumify.helpers.ConstantsHelper).SCRIPT_YEARS_JS}}"></script>
</body>
</html>
